## fonts-eeyek 2.000

=== wscript ===
#!/usr/bin/python3
# encoding: utf-8
# this is a smith configuration file - http://scripts.sil.org/smith

# set some default output folders (most are already set by default)
DOCDIR = 'web'
STANDARDS = 'tests/reference'

# set the font name and description
APPNAME = 'Eeyek'
FAMILY = APPNAME
DESC_SHORT = 'Font for Meetei Mayek script'

# Get version and authorship information from Regular UFO (canonical metadata)
getufoinfo('source/' + FAMILY + '-Regular' + '.ufo')
# BUILDLABEL = 'alpha1'

# Set up the FTML tests
ftmlTest('tools/ftml-list.xsl')

# set the build and test parameters
TESTSTRING = u'\uABC0'
source = 'source/'

# set up the build parameters from the designspace file(s)
for dspace in ('',):
    designspace(source + FAMILY + dspace + '.designspace',
        target = process('${DS:FILENAME_BASE}.ttf',
            cmd('${PSFCHANGETTFGLYPHNAMES} ${SRC} ${DEP} ${TGT}', [source + '${DS:FILENAME_BASE}.ufo']),
        ),
        version = VERSION,
        woff = woff('web/${DS:FILENAME_BASE}.woff', params='-v ' + VERSION + ' -m ../source/${DS:FAMILYNAME}-WOFF-metadata.xml'),
        # typetuner='source/typetuner/feat_all.xml',
        script = ['DFLT'],
        fret = fret(params='-oi')
        )


# declare other local variables or utilities
def configure(ctx):
    ctx.find_program('psfchangettfglyphnames')

## fonts-eeyek 1.0

=== debian/changelog ===
fonts-eeyek (1.0-5) unstable; urgency=low

  * Team upload.
  * debian/control:
    + Set maintainer to Debian Fonts Task Force.
    + Removed Muneeb Shaikh from Uploaders. Thanks for your work!
    + Updated Standards-Version to 4.5.0
    + Added 'Rules-Requires-Root' field.
    + Switched to debhelper-compat.
  * Added debian/gitlab-ci.yml.

 -- Kartik Mistry <kartik@debian.org>  Thu, 16 Apr 2020 18:12:33 +0530

fonts-eeyek (1.0-4) unstable; urgency=medium

  * debian/control:
    + Declare compliance with debian policy 3.9.6.
    + Switch to secure URL for Vcs-* fields.
    + Use cgit front end for Vcs-Browser.
    + Mark package compliance with Debian policy 3.9.8.
    + Change my email address in uploaders field.
  * Remove dummy watch file to avoid uscan errors
  * Add lintian-overrides for missing watch file.
  * debian/copyright:
    + Use secure https url for Format field in copyright
  * Bump version dependency on debhelper to 9
  * Add lintian-override for having no doc-base reigistration.

 -- Vasudev Kamath <vasudev@copyninja.info>  Sat, 30 Jul 2016 21:58:46 +0530

fonts-eeyek (1.0-3) unstable; urgency=low

  * Added myself as uploader.
  * Bumped Standards-Version to 3.9.4.
  * Use canonical anonscm.d.o URI's for Vcs-* field.
  * Marked the package as multi-arch foreign.
  * Removed unwanted dh-make comments.
  * Remove ./ prefix from paths in debian/install.
  * Added myself to the copyright holders for debian folder.

 -- Vasudev Kamath <kamathvasudev@gmail.com>  Sat, 15 Jun 2013 23:56:58 +0530

fonts-eeyek (1.0-2) unstable; urgency=low

  * Updated installation path to
    '/usr/share/fonts/truetype/eeyek/'
  * debian/preinst
    + Added preinst to handle upgradation from old version
  * Fixed bug of test file installtion.
  * debian/control:
    + Updated Standards-Version to 3.9.3
  * debian/copyright:
    + Updated to copyright-format 1.0

 -- Muneeb Shaikh <iammuneeb@gmail.com>  Mon, 27 Feb 2012 20:07:10 +0530

fonts-eeyek (1.0-1) unstable; urgency=low

  * Initial release (Closes: #628045)

 -- Muneeb Shaikh <iammuneeb@gmail.com>  Mon, 06 Feb 2012 22:49:45 +0530

=== debian/control ===
Source: fonts-eeyek
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.5.0
Homepage: http://tabish.freeshell.org/eeyek/
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-eeyek.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-eeyek
Rules-Requires-Root: no

Package: fonts-eeyek
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Eeyek TrueType font for Meetei Mayek script
 Eeyek TrueType is font for Meetei Mayek script which was used to write
 Manipuri till the 18th century. Recent research has resurrected this script,
 and it is now being given its due place.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_install:
	chmod -x *.ttf
	dh_install

## fonts-eeyek 2.000

=== debian/changelog ===
fonts-eeyek (2.000-1) unstable; urgency=low

  * Team upload.
  * New upstream release (Closes: #958317)
  * debian/control:
    + Updated Homepage.
    + Updated Standards-Version to 4.6.1
    + Build-Depends: fontmake
  * debian/copyright:
    + Added SIL license.
    + Updated copyright information.
  * Added debian/watch.
  * Removed unused Lintian overrides and tests.
  * Added upstream metadata file.

 -- Kartik Mistry <kartik@debian.org>  Mon, 19 Sep 2022 23:14:37 +0530

=== debian/control ===
Source: fonts-eeyek
Section: fonts
Priority: optional
Maintainer: Debian Fonts Task Force <debian-fonts@lists.debian.org>
Uploaders: Vasudev Kamath <vasudev@copyninja.info>
Build-Depends: debhelper-compat (= 13), fontmake
Standards-Version: 4.6.1
Homepage: https://github.com/silnrsi/font-eeyek
Vcs-Git: https://salsa.debian.org/fonts-team/fonts-eeyek.git
Vcs-Browser: https://salsa.debian.org/fonts-team/fonts-eeyek
Rules-Requires-Root: no

Package: fonts-eeyek
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Eeyek TrueType font for Meetei Mayek script
 Eeyek TrueType is font for Meetei Mayek script which was used to write
 Manipuri till the 18th century.

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,9 @@
 	dh $@
 
 override_dh_install:
-	chmod -x *.ttf
+	fontmake -u source/Eeyek-Regular.ufo
 	dh_install
+
+override_dh_clean:
+	rm -rf master_ttf master_otf
+	dh_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
   https://github.com/silnrsi/font-eeyek/tags \
   (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
